unit UnitXMLIniTest;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,
  xmlIniFile;

type
  TForm2 = class(TForm)
    Button1: TButton;
    Memo1: TMemo;
    Memo2: TMemo;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    OpenDialog1: TOpenDialog;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    appldir: string;
    IniFile : TXMLIniFile;
  end;

var
  Form2: TForm2;

implementation

{$R *.DFM}
//uses xmlIniFile, IniFiles;
uses IniFiles, ofutils;

procedure TForm2.Button1Click(Sender: TObject);
var lInIniFile: TOFMemIniFile;
		lOutIniFile: TXMLIniFile;
    lOldFilter: string;
begin
  OpenDialog1.InitialDir := appldir;
  OpenDialog1.Title := 'File In';
  lOldFilter := OpenDialog1.Filter;
  OpenDialog1.Filter := 'INI|*.ini';
  if OpenDialog1.Execute then
  try
    lInIniFile := TOFMemIniFile.Create(OpenDialog1.FileName);
    OpenDialog1.Filter := lOldFilter;
    OpenDialog1.Title := 'File Out';
    if OpenDialog1.Execute then
    try
      lOutIniFile := TXMLIniFile.Create(OpenDialog1.FileName);
      TXMLIniFile.MergeFiles(lInIniFile, lOutIniFile);
      lOutIniFile.UpdateFile;
    finally
      lOutIniFile.Free;
    end;
  finally
    lInIniFile.Free;
  end;
end;

procedure TForm2.Button2Click(Sender: TObject);
begin
  OpenDialog1.InitialDir := appldir;
  if OpenDialog1.Execute then
  begin
    IniFile := TXMLIniFile.Create(OpenDialog1.FileName);
    Memo1.Lines.Text := IniFile.DOM.xml;
  end;
end;

procedure TForm2.Button3Click(Sender: TObject);
begin
  IniFile.ReadSections(Memo2.Lines);
end;

procedure TForm2.Button4Click(Sender: TObject);
begin
  IniFile.ReadSection(Memo1.SelText, Memo2.Lines);
end;

procedure TForm2.Button5Click(Sender: TObject);
begin
  IniFile.ReadSectionValues(Memo1.SelText, Memo2.Lines);
end;

procedure TForm2.Button6Click(Sender: TObject);
begin
  IniFile.EraseSection(Memo1.SelText);
  Memo1.Lines.Text := IniFile.DOM.xml;
end;

procedure TForm2.Button7Click(Sender: TObject);
begin
  Memo2.Text := IniFile.ReadString('ODBC 32 bit Data Sources', 'MS Access Database', 'hi there');
end;

procedure TForm2.Button8Click(Sender: TObject);
begin
  IniFile.DeleteKey('ODBC 32 bit Data Sources', 'MS Access Database');
  Memo1.Lines.Text := IniFile.DOM.xml;
end;

procedure TForm2.FormCreate(Sender: TObject);
begin
  appldir:=extractfilepath(application.exename);
end;

end.
